/*  Theme Name:   Thème Le Carnet
Theme URI:    https://lecarnet.net
Description:  Blog d'une rédactrice web curieuse
Author:       Anne Thybert  
Author URI:   https://lecarnet.net
Template:     blocksy  
Version:      0.1.0 */

/*banniere heros parallax*/
body li a,
body p a {
  color: #fe6057;
}
body li a:hover,
body p a:hover {
  color: #e25149;
}

.wp-block-cover-image.has-parallax, .wp-block-cover.has-parallax, .wp-block-cover__image-background.has-parallax, video.wp-block-cover__video-background.has-parallax {
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
}
:is(.is-layout-flow, .is-layout-constrained) > :where(:not(h1, h2, h3, h4, h5, h6)) {
  margin-block-start: 0;
  margin-block-end: var(--theme-content-spacing);
}
.wp-block-cover .wp-block-cover__image-background, .wp-block-cover video.wp-block-cover__video-background, .wp-block-cover-image .wp-block-cover__image-background, .wp-block-cover-image video.wp-block-cover__video-background {
  border: none;
  bottom: 0;
  box-shadow: none;
  height: 100%;
  left: 0;
  margin: 0;
  max-height: none;
  max-width: none;
  -o-object-fit: cover;
  object-fit: cover;
  outline: none;
  padding: 0;
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
}
:is(.is-layout-flow, .is-layout-constrained) > :where(:not(h1, h2, h3, h4, h5, h6)) {
  margin-block-start: 0;
  margin-block-end: var(--theme-content-spacing);
}
.wp-block-cover, .wp-block-cover-image {
  align-items: center;
  background-position: 50%;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  min-height: 430px;
  overflow: hidden;
  overflow: clip;
  padding: 1em;
  position: relative;
}
:where(.wp-block-cover-image:not(.has-text-color)), :where(.wp-block-cover:not(.has-text-color)), 
.wp-block-cover h1 {
  color: #fff;
}

.wp-block-cover .wp-block-cover__background.has-background-dim.has-background-dim-40, .wp-block-cover .wp-block-cover__gradient-background.has-background-dim.has-background-dim-40, .wp-block-cover-image .wp-block-cover__background.has-background-dim.has-background-dim-40, .wp-block-cover-image .wp-block-cover__gradient-background.has-background-dim.has-background-dim-40 {
  opacity: .4;
}
.wp-block-cover .wp-block-cover__background, .wp-block-cover .wp-block-cover__gradient-background, .wp-block-cover-image .wp-block-cover__background, .wp-block-cover-image .wp-block-cover__gradient-background, .wp-block-cover-image.has-background-dim:not(.has-background-gradient)::before, .wp-block-cover.has-background-dim:not(.has-background-gradient)::before {
  bottom: 0;
  left: 0;
  opacity: .5;
  position: absolute;
  right: 0;
  top: 0;
}
.wp-block-cover .wp-block-cover__inner-container, .wp-block-cover-image .wp-block-cover__inner-container {
  color: inherit;
  position: relative;
  width: 100%;
}
.wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
    flex-basis: 33%;
    z-index:1;
    flex-grow: 0;
  }


@media (max-width: 900px) {
  .home-hero .wp-block-columns .wp-block-column {
    flex-basis: 100% !important;
  }
}

/*cta*/
.mybutton,
.mybutton.elementor-button {
  background-color: #fe6057;
}
.mybutton:hover,
.mybutton.elementor-button:hover {
  background-color: #e25149;
}

/*titres de section*/

.section-title {
  text-align: center;
  position: relative;
  display: table;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 20px;
  margin-top: 20px;
  color: #292828;
}
.latest-posts .entry-card,
.entry-card {
  height: 510px;
  position: relative;
  overflow: hidden;
     display: flex;
    flex-direction: column;
}
.latest-posts .entry-card img,
.entry-card img,
body .entry-card .boundless-image img {
  margin: auto auto;
  display: block;
  height: auto;
  width: 100%;
}
@media (max-width: 1100px) {
    .latest-posts-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 700px) {
    .latest-posts-grid {
        grid-template-columns: 1fr;
    }
}

.latest-posts .entry-card::after,
.entry-card::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 120px;
    background: linear-gradient(
        to bottom,
        rgba(255,255,255,0) 0%,
        rgba(255,255,255,.35) 50%,
        rgba(255,255,255,.8) 10%,
        #fff 100%
    );
}
.latest-posts h3,
.card-content h2 {
  font-size: 22px;
  line-height: 1.2;
}
.card-content h2.entry-title {
  font-size: 28px;
}
.latest-posts p.post-date,
.card-content .post-date,
.card-content .entry-meta .meta-date {
  font-size: 12px;
  position: absolute;
  bottom: 0;
  left: auto;
  z-index: 1;
}
.card-content .entry-meta .meta-date {
  bottom: 15px;
}
h3 a {color: #292828;}
.section-title::after {
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 120px;
    height: 20px;
    background-image: url("assets/images/trait-crayon.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}
/*derniers articles sur la home*/
.home .card-content,
.card-content {
  display: flex;
  flex-direction: column;
  padding: 20px 20px 0;
}
.latest-posts-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
}

@media (max-width: 1100px) {
    .latest-posts-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 640px) {
    .latest-posts-grid {
        grid-template-columns: 1fr;
    }
}

.home .entry-card li,
.entry-card li {
  list-style-type: none;
  text-transform: uppercase;
  font-size: 12px;
  font-weight: 600;
}
.home .entry-card ul,
.entry-card ul {
  padding-left: 0;
  padding-top: 15px;
}
